var search_data = {"index":{"searchIndex":["prystack","framehelpers","framemanager","whenstartedhook","bindings_equal?()","call()","caller_bindings()","change_frame_to()","clear_frame_managers()","create_and_push_frame_manager()","current_frame()","delete_frame_managers()","each()","find_frame_by_block()","find_frame_by_object_regex()","find_frame_by_regex()","frame_description()","frame_hash()","frame_info()","frame_manager()","frame_manager()","frame_managers()","frame_managers()","internal_frames_with_indices()","nested_session?()","new()","pop_frame_manager()","pop_helper()","prior_context_exists?()","pry_method_frame?()","push_helper()","refresh_frame()","remove_debugger_frames()","remove_internal_frames()","set_binding_index_safely()","signature_with_owner()","valid_call_stack?()","changelog","readme"],"longSearchIndex":["prystack","prystack::framehelpers","prystack::framemanager","prystack::whenstartedhook","prystack::bindings_equal?()","prystack::whenstartedhook#call()","prystack::whenstartedhook#caller_bindings()","prystack::framemanager#change_frame_to()","prystack::clear_frame_managers()","prystack::create_and_push_frame_manager()","prystack::framemanager#current_frame()","prystack::delete_frame_managers()","prystack::framemanager#each()","prystack::framehelpers#find_frame_by_block()","prystack::framehelpers#find_frame_by_object_regex()","prystack::framehelpers#find_frame_by_regex()","prystack::framehelpers#frame_description()","prystack::frame_hash()","prystack::framehelpers#frame_info()","prystack::frame_manager()","prystack::framehelpers#frame_manager()","prystack::frame_managers()","prystack::framehelpers#frame_managers()","prystack::whenstartedhook#internal_frames_with_indices()","prystack::whenstartedhook#nested_session?()","prystack::framemanager::new()","prystack::pop_frame_manager()","prystack::pop_helper()","prystack::framehelpers#prior_context_exists?()","prystack::whenstartedhook#pry_method_frame?()","prystack::push_helper()","prystack::framemanager#refresh_frame()","prystack::whenstartedhook#remove_debugger_frames()","prystack::whenstartedhook#remove_internal_frames()","prystack::framemanager#set_binding_index_safely()","prystack::framehelpers#signature_with_owner()","prystack::whenstartedhook#valid_call_stack?()","",""],"info":[["PryStack","","PryStack.html","",""],["PryStack::FrameHelpers","","PryStack/FrameHelpers.html","",""],["PryStack::FrameManager","","PryStack/FrameManager.html","","<p>This class represents a call-stack. It stores the frames that make up the stack and is responsible for …\n"],["PryStack::WhenStartedHook","","PryStack/WhenStartedHook.html","",""],["bindings_equal?","PryStack","PryStack.html#method-c-bindings_equal-3F","(b1, b2)","<p>Simple test to check whether two ‘Binding` objects are equal. @param [Binding] b1 First binding. @param …\n"],["call","PryStack::WhenStartedHook","PryStack/WhenStartedHook.html#method-i-call","(target, options, _pry_)",""],["caller_bindings","PryStack::WhenStartedHook","PryStack/WhenStartedHook.html#method-i-caller_bindings","(target)",""],["change_frame_to","PryStack::FrameManager","PryStack/FrameManager.html#method-i-change_frame_to","(index, run_whereami=true)","<p>Change active frame to the one indexed by ‘index`. Note that indexing base is `0` @param [Fixnum] index …\n"],["clear_frame_managers","PryStack","PryStack.html#method-c-clear_frame_managers","(_pry_)","<p>Clear the stack of frame managers for the Pry instance @param [Pry] <em>pry</em> The Pry instance associated with …\n"],["create_and_push_frame_manager","PryStack","PryStack.html#method-c-create_and_push_frame_manager","(bindings, _pry_, options={})","<p>Create a ‘Pry::FrameManager` object and push it onto the frame manager stack for the relevant `<em>pry</em>` instance. …\n"],["current_frame","PryStack::FrameManager","PryStack/FrameManager.html#method-i-current_frame","()","<p>@return [Binding] The currently active frame\n"],["delete_frame_managers","PryStack","PryStack.html#method-c-delete_frame_managers","(_pry_)",""],["each","PryStack::FrameManager","PryStack/FrameManager.html#method-i-each","(&block)","<p>Iterate over all frames\n"],["find_frame_by_block","PryStack::FrameHelpers","PryStack/FrameHelpers.html#method-i-find_frame_by_block","(up_or_down)",""],["find_frame_by_object_regex","PryStack::FrameHelpers","PryStack/FrameHelpers.html#method-i-find_frame_by_object_regex","(class_regex, method_regex, up_or_down)",""],["find_frame_by_regex","PryStack::FrameHelpers","PryStack/FrameHelpers.html#method-i-find_frame_by_regex","(regex, up_or_down)","<p>Regexp.new(args)\n"],["frame_description","PryStack::FrameHelpers","PryStack/FrameHelpers.html#method-i-frame_description","(b)","<p>Return a description of the frame (binding). This is only useful for regular old bindings that have not …\n"],["frame_hash","PryStack","PryStack.html#method-c-frame_hash","()","<p>@return [Hash] The hash storing all frames for all Pry instances for\n\n<pre>the current thread.</pre>\n"],["frame_info","PryStack::FrameHelpers","PryStack/FrameHelpers.html#method-i-frame_info","(b, verbose = false)","<p>Return a description of the passed binding object. Accepts an optional ‘verbose` parameter. @param [Binding] …\n"],["frame_manager","PryStack","PryStack.html#method-c-frame_manager","(_pry_)","<p>@return [PryStack::FrameManager] The currently active frame manager\n"],["frame_manager","PryStack::FrameHelpers","PryStack/FrameHelpers.html#method-i-frame_manager","()","<p>@return [PryStack::FrameManager] The active frame manager for\n\n<pre>the current `Pry` instance.</pre>\n"],["frame_managers","PryStack","PryStack.html#method-c-frame_managers","(_pry_)","<p>Return the complete frame manager stack for the Pry instance @param [Pry] <em>pry</em> The Pry instance associated …\n"],["frame_managers","PryStack::FrameHelpers","PryStack/FrameHelpers.html#method-i-frame_managers","()","<p>@return [Array&lt;PryStack::FrameManager&gt;] All the frame\n\n<pre>managers for the current `Pry` instance.</pre>\n"],["internal_frames_with_indices","PryStack::WhenStartedHook","PryStack/WhenStartedHook.html#method-i-internal_frames_with_indices","(bindings)","<p>@return [Array&lt;Array&lt;Binding, Fixnum&gt;&gt;]\n"],["nested_session?","PryStack::WhenStartedHook","PryStack/WhenStartedHook.html#method-i-nested_session-3F","(bindings)","<p>When a pry session is started within a pry session @return [Boolean]\n"],["new","PryStack::FrameManager","PryStack/FrameManager.html#method-c-new","(bindings, _pry_)",""],["pop_frame_manager","PryStack","PryStack.html#method-c-pop_frame_manager","(_pry_)","<p>Delete the currently active frame manager @param [Pry] <em>pry</em> The Pry instance associated with the frame …\n"],["pop_helper","PryStack","PryStack.html#method-c-pop_helper","(popped_fm, _pry_)","<p>Restore the Pry instance to operate on the previous binding. Also responsible for restoring Pry instance’s …\n"],["prior_context_exists?","PryStack::FrameHelpers","PryStack/FrameHelpers.html#method-i-prior_context_exists-3F","()","<p>@return [Boolean] Whether there is a context to return to once\n\n<pre>the current `frame_manager` is popped.</pre>\n"],["pry_method_frame?","PryStack::WhenStartedHook","PryStack/WhenStartedHook.html#method-i-pry_method_frame-3F","(binding)","<p>binding.pry frame @return [Boolean]\n"],["push_helper","PryStack","PryStack.html#method-c-push_helper","(fm, options={})","<p>Update the Pry instance to operate on the specified frame for the current frame manager. @param [PryStack::FrameManager] …\n"],["refresh_frame","PryStack::FrameManager","PryStack/FrameManager.html#method-i-refresh_frame","(run_whereami=true)","<p>Ensure the Pry instance’s active binding is the frame manager’s active binding.\n"],["remove_debugger_frames","PryStack::WhenStartedHook","PryStack/WhenStartedHook.html#method-i-remove_debugger_frames","(bindings)","<p>remove pry-nav / pry-debugger frames\n"],["remove_internal_frames","PryStack::WhenStartedHook","PryStack/WhenStartedHook.html#method-i-remove_internal_frames","(bindings)","<p>remove internal frames related to setting up the session\n"],["set_binding_index_safely","PryStack::FrameManager","PryStack/FrameManager.html#method-i-set_binding_index_safely","(index)","<p>Set the binding index (aka frame index), but raising an Exception when invalid index received. Also converts …\n"],["signature_with_owner","PryStack::FrameHelpers","PryStack/FrameHelpers.html#method-i-signature_with_owner","(meth_obj)","<p>@param [Pry::Method] meth_obj The method object. @return [String] Signature for the method object in …\n"],["valid_call_stack?","PryStack::WhenStartedHook","PryStack/WhenStartedHook.html#method-i-valid_call_stack-3F","(bindings)",""],["CHANGELOG","","CHANGELOG.html","",""],["README","","README_md.html","","<p>pry-stack\n<p>A Pry plugin to navigate the stack.\n<p>This gem is almost exactly the same as pry-stack_explorer …\n"]]}}